curl --request GET \
--url https://app.leadconduit.com/flows/{flow_id}/sources/{source_id}/meta \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/flows/{flow_id}/sources/{source_id}/meta"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/flows/{flow_id}/sources/{source_id}/meta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"account": {
"id": "53a310fa9d29c9c72100006c",
"name": "ActiveProspect, Inc."
},
"flow": {
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>"
},
"source": {
"id": "5fd4371e940df5a34a3888b2",
"name": "<string>",
"authentication_required": false
},
"params": [
{
"name": "first_name",
"label": "First Name",
"description": "First name",
"type": "first_name",
"required": "no",
"variable": "first_name",
"examples": [
"Mike",
"Robert",
"Janet"
]
}
],
"pingable": true,
"ping_enabled": false,
"updated_at": "2025-03-20T15:06:01.777Z",
"authorized_account": true,
"hours_of_operation": {},
"acceptance_criteria": {
"rule_set": {
"op": "and",
"rules": [
{
"lhv": "lead.state",
"op": "is equal to",
"rhv": "TX",
"id": "1aacd0",
"rule_set": "<unknown>"
}
],
"id": "0d144a"
},
"outcome": "failure",
"reason": "Lead must live in TX"
},
"flow_acceptance_criteria": {},
"flow_pricing": null,
"flow_pricing_service": {
"service_id": "5fd4371e940df5a34a3888b2",
"fallback_price": 123
},
"source_pricing": null,
"source_pricing_service": {
"service_id": "5fd4371e940df5a34a3888b2",
"fallback_price": 123
}
}Retrieve metadata for a specific source within a flow
Returns metadata about a source within a specified flow, including parameters, account details, and operational settings.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
The ID of the flow
"67dc2ec447ba19de15745945"
The ID of the source within the flow
"53a310fa9d29c9c72100006c"
Response
Successful response with source metadata
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
true
false
"2025-03-20T15:06:01.777Z"
true
A submitted lead that fails an acceptance criteria rule will be rejected. Lead submission will result in a failure outcome.
Show child attributes
Show child attributes
null
The configuration required on a Source or Flow to define a Pricing Service for lead pricing.
Show child attributes
Show child attributes
null
The configuration required on a Source or Flow to define a Pricing Service for lead pricing.
Show child attributes
Show child attributes